<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-product-heading" jhiTranslate="louiesAlterierApp.product.home.createOrEditLabel">Create or edit a Product</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="louiesAlterierApp.product.name" for="field_name">Name</label>
                    <input type="text" class="form-control" name="name" id="field_name"
                           formControlName="name"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="louiesAlterierApp.product.price" for="field_price">Price</label>
                    <input type="number" class="form-control" name="price" id="field_price"
                           formControlName="price"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="louiesAlterierApp.product.color" for="field_color">Color</label>
                    <input type="text" class="form-control" name="color" id="field_color"
                           formControlName="color"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="louiesAlterierApp.product.image" for="field_image">Image</label>
                    <div>
                        <img [src]="'data:' + editForm.get('imageContentType')!.value + ';base64,' + editForm.get('image')!.value" style="max-height: 100px;" *ngIf="editForm.get('image')!.value" alt="product image"/>
                        <div *ngIf="editForm.get('image')!.value" class="form-text text-danger clearfix">
                            <span class="pull-left">{{ editForm.get('imageContentType')!.value }}, {{ byteSize(editForm.get('image')!.value) }}</span>
                            <button type="button" (click)="clearInputImage('image', 'imageContentType', 'file_image')" class="btn btn-secondary btn-xs pull-right">
                                <fa-icon icon="times"></fa-icon>
                            </button>
                        </div>
                        <input type="file" id="file_image" (change)="setFileData($event, 'image', true)" accept="image/*" jhiTranslate="entity.action.addimage"/>
                    </div>
                    <input type="hidden" class="form-control" name="image" id="field_image"
                           formControlName="image"/>
                    <input type="hidden" class="form-control" name="imageContentType" id="field_imageContentType"
                           formControlName="imageContentType" />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="louiesAlterierApp.product.category" for="field_category">Category</label>
                    <input type="text" class="form-control" name="category" id="field_category"
                           formControlName="category"/>
                </div>

                <div class="form-group">
                    <label jhiTranslate="louiesAlterierApp.product.additions" for="field_additions">Additions</label>
                    <select class="form-control" id="field_additions" multiple name="additions" formControlName="additions">
                        <option [ngValue]="getSelected(editForm.get('additions')!.value, additionOption)" *ngFor="let additionOption of additions; trackBy: trackById">{{ additionOption.name }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
